### Class

# Gio ConverterOutputStream

#### Description [src]

    class Gio.ConverterOutputStream : Gio.FilterOutputStream
      implements Gio.PollableOutputStream {
      /* No available fields */
    }

Converter output stream implements `GOutputStream` and allows conversion of data of various types during reading.

As of GLib 2.34, `GConverterOutputStream` implements `GPollableOutputStream`.

#### Hierarchy

#### Ancestors

- GFilterOutputStream
- GOutputStream
- GObject

#### Implements

- GPollableOutputStream

#### Constructors

###### g_converter_output_stream_new

Creates a new converter output stream for the `base_stream`.

#### Instance methods

###### g_converter_output_stream_get_converter

Gets the `GConverter` that is used by `converter_stream`.

since: 2.24

##### Methods inherited from GFilterOutputStream (3)

###### g_filter_output_stream_get_base_stream

Gets the base stream for the filter stream.

###### g_filter_output_stream_get_close_base_stream

Returns whether the base stream will be closed when `stream` is closed.

###### g_filter_output_stream_set_close_base_stream

Sets whether the base stream will be closed when `stream` is closed.

##### Methods inherited from GOutputStream (31)

Please see GOutputStream for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from GPollableOutputStream (5)

###### g_pollable_output_stream_can_poll

Checks if `stream` is actually pollable. Some classes may implement `GPollableOutputStream` but have only certain instances of that class be pollable. If this method returns `FALSE`, then the behavior of other `GPollableOutputStream` methods is undefined.

since: 2.28

###### g_pollable_output_stream_create_source

Creates a `GSource` that triggers when `stream` can be written, or `cancellable` is triggered or an error occurs. The callback on the source is of the `GPollableSourceFunc` type.

since: 2.28

###### g_pollable_output_stream_is_writable

Checks if `stream` can be written.

since: 2.28

###### g_pollable_output_stream_write_nonblocking

Attempts to write up to `count` bytes from `buffer` to `stream`, as with g_output_stream_write(). If `stream` is not currently writable, this will immediately return `G_IO_ERROR_WOULD_BLOCK`, and you can use `g_pollable_output_stream_create_source()` to create a `GSource` that will be triggered when `stream` is writable.

###### g_pollable_output_stream_writev_nonblocking

Attempts to write the bytes contained in the `n_vectors` `vectors` to `stream`, as with g_output_stream_writev(). If `stream` is not currently writable, this will immediately return %`G_POLLABLE_RETURN_WOULD_BLOCK`, and you can use `g_pollable_output_stream_create_source()` to create a `GSource` that will be triggered when `stream` is writable. `error` will not be set in that case.

since: 2.60

#### Properties

###### Gio.ConverterOutputStream:converter

The converter object.

##### Properties inherited from GFilterOutputStream (2)

###### Gio.FilterOutputStream:base-stream

The underlying base stream on which the I/O ops will be done.

###### Gio.FilterOutputStream:close-base-stream

Whether the base stream should be closed when the filter stream is closed.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GioConverterOutputStreamClass {
      GFilterOutputStreamClass parent_class;
      void (* _g_reserved1) (
    void
      );
      void (* _g_reserved2) (
    void
      );
      void (* _g_reserved3) (
    void
      );
      void (* _g_reserved4) (
    void
      );
      void (* _g_reserved5) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GFilterOutputStreamClass`

  No description available.

`_g_reserved1: void (* _g_reserved1) ( void )`

  No description available.

`_g_reserved2: void (* _g_reserved2) ( void )`

  No description available.

`_g_reserved3: void (* _g_reserved3) ( void )`

  No description available.

`_g_reserved4: void (* _g_reserved4) ( void )`

  No description available.

`_g_reserved5: void (* _g_reserved5) ( void )`

  No description available.